Subject: Re: Segfault on merge with 1.6.2.1

From: Clemens Buchacher <[email-masked]>
Date: Mon, 6 Apr 2009 08:41:32 +0200

On Sun, Apr 05, 2009 at 09:29:33PM -0500, Michael Johnson wrote:
>> +# history
>> +#
>> +#        a --- c
>> +#      /   \ /
>> +# root      X
>> +#      \   / \
>> +#        b --- d
>
> This also explains a lot. Is there any way to get this sort of simplified 
> representation from the existing tools? I would think gitk would show it, 
> but would I be able to recognize it.?

I simply tagged everything that showed up in "git merge-base --all" and then
I did "gitk --all --simplify-by-decoration". That shows pretty much the
graph above.